summaryrefslogtreecommitdiff
path: root/hints/aix.sh
diff options
context:
space:
mode:
authorJarkko Hietaniemi <jhi@iki.fi>2002-08-29 19:43:51 +0300
committerAbhijit Menon-Sen <ams@wiw.org>2002-08-29 13:09:47 +0000
commit444379fb158f55ef6465d6e50c03864ed09002d4 (patch)
tree1c9ba90bd496fd340e277517d19ae2c37a1b1a5f /hints/aix.sh
parent70a63dff8306516881e1d108737939903cfadaef (diff)
downloadperl-444379fb158f55ef6465d6e50c03864ed09002d4.tar.gz
AIX compiler setup sanity checking
Message-Id: <20020829134351.GG5219@lyta.hut.fi> p4raw-id: //depot/perl@17803
Diffstat (limited to 'hints/aix.sh')
-rw-r--r--hints/aix.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/hints/aix.sh b/hints/aix.sh
index 4ccbc68eb9..231d3482b3 100644
--- a/hints/aix.sh
+++ b/hints/aix.sh
@@ -209,6 +209,28 @@ esac
# the required -bE:$installarchlib/CORE/perl.exp is added by
# libperl.U (Configure) later.
+case "$cc" in
+*gcc*) ;;
+cc*|xlc*) # cc should've been set by line 116 or so if empty.
+ if test ! -x /usr/bin/$cc -a -x /usr/vac/bin/$cc; then
+ case ":$PATH:" in
+ *:/usr/vac/bin:*) ;;
+ *) cat <<EOF
+
+***
+*** You either implicitly or explicitly specified an IBM C compiler,
+*** but you do not seem to have one in /usr/bin, but you seem to have
+*** the VAC installed in /usr/vac, but you do not have the /usr/vac/bin
+*** in your PATH. I suggest adding that and retrying Configure.
+***
+EOF
+ exit 1
+ ;;
+ esac
+ fi
+ ;;
+esac
+
case "$ldlibpthname" in
'') ldlibpthname=LIBPATH ;;
esac